List ResourceGroup items
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/contents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/contents"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/contents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"targetId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}List ResourceGroup items
Retrieve a list of items for a ResourceGroup
POST
/
organizations
/
{orgId}
/
resourcegroups
/
{type}
/
{resourceGroupId}
/
contents
List ResourceGroup items
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
The type of resource
UUID of the ResourceGroup
Query Parameters
Number of ResourceGroupItems to retrieve per page
Required range:
1 <= x <= 100nextToken for multi page retrievals
⌘I